---
id: ota
title: ota
hide_title: true
hide_table_of_contents: true
sidebar_label: ota
description: Parse OTAs
---
## ipsw ota

Parse OTAs

```
ipsw ota [flags]
```

### Options

```
  -h, --help             help for ota
      --insecure         Allow insecure connections when fetching AEA keys
      --key-db string    Path to AEA keys JSON database (auto-lookup by filename)
      --key-val string   Base64 encoded AEA symmetric encryption key
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw](/docs/cli/ipsw)	 - Download and Parse IPSWs (and SO much more)
* [ipsw ota extract](/docs/cli/ipsw/ota/extract)	 - Extract OTA payload files
* [ipsw ota info](/docs/cli/ipsw/ota/info)	 - Display OTA metadata
* [ipsw ota ls](/docs/cli/ipsw/ota/ls)	 - List OTA files
* [ipsw ota patch](/docs/cli/ipsw/ota/patch)	 - Patch OTAs
* [ipsw ota payload](/docs/cli/ipsw/ota/payload)	 - List contents of a payloadv2 file

